Bug 547807 - SIGSEGV in "magazine_chain_pop_head" in /usr/share/abrt/CCMainWindow.py
Summary: SIGSEGV in "magazine_chain_pop_head" in /usr/share/abrt/CCMainWindow.py
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Behdad Esfahbod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:38d5eca8f33a555cfcb350b3d76...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 18:19 UTC by cornel panceac
Modified: 2010-12-04 01:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-04 01:37:33 UTC


Attachments (Terms of Use)
File: backtrace (40.67 KB, text/plain)
2009-12-15 18:19 UTC, cornel panceac
no flags Details

Description cornel panceac 2009-12-15 18:19:53 UTC
abrt 1.0.1 detected a crash.

How to reproduce
-----
1.try to start yumex
2.
3.

Comment
-----
trying to start yumex
here's the output in terminal:
$ yumex
running
Current Settings
    autorefresh: True
    branding_title: 'Yum Extender NextGen'
    color_install: 'darkgreen'
    color_normal: 'black'
    color_obsolete: 'blue'
    color_update: 'red'
    debug: False
    disable_repo_page: False
    plugins: True
    proxy: ''
    recentdays: 14
    repo_exclude: ['debug', 'source']
    win_height: 600
    win_sep: 300
    win_width: 1000
    yumdebuglevel: 2
/usr/lib/python2.6/site-packages/guihelpers/__init__.py:199: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
  self.add_from_file(filename)
/usr/lib/python2.6/site-packages/yumexgui/gui.py:179: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip = gtk.Tooltips()
/usr/lib/python2.6/site-packages/yumexgui/gui.py:206: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip.set_tip(button, tooltip)
Can't detect the network connection state
Starting yum child process
YUM: Loaded plugins: fastestmirror, presto
YUM: Loading mirror speeds from cached hostfile
YUM:  * fedora: ftp.ines.lug.ro
YUM:  * livna: ftp-stud.fht-esslingen.de
YUM:  * rpmfusion-free: ftp.nb.lug.ro
YUM:  * rpmfusion-free-updates: ftp.nb.lug.ro
YUM:  * rpmfusion-nonfree: ftp.nb.lug.ro
YUM:  * rpmfusion-nonfree-updates: ftp.nb.lug.ro
YUM:  * updates: ftp.ines.lug.ro
YUM: Checking for new repos for mirrors
History Enabled
/usr/bin/yumex: line 5:  2175 Segmentation fault      (core dumped) /usr/bin/python /usr/share/yumex/yumex.pyc $*

yumex version:
$ rpm -q yumex
yumex-2.9.4-1.fc12.noarch


Attached file: backtrace
cmdline: /usr/bin/python /usr/share/abrt/CCMainWindow.py
component: python
executable: /usr/bin/python
kernel: 2.6.31.6-166.fc12.i686.PAE
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 11

Comment 1 cornel panceac 2009-12-15 18:19:56 UTC
Created attachment 378572 [details]
File: backtrace

Comment 2 Dave Malcolm 2009-12-15 22:57:31 UTC
The backtrace in comment #1 is from /usr/share/abrt/CCMainWindow.py, not from yumex; somewhat ironically, ABRT is crashing with a SIGSEGV whilst trying to display information about a crash inside yumex.

The ABRT SIGSEGV is happening deep inside pango; frame #10 is trying to render textual content within GTK tree/list view, and frame #9 and below is processing the text, trying to calculate the size it will take (in pixels).

Looking at frame #6, it looks like Pango is trying to do linebreaking on a full gdb backtrace from yumex, a rather large string.

Reassigning from "python" to "pango" in the hope of more insight.

Comment 3 Siddhesh Poyarekar 2010-05-17 11:07:32 UTC
This seems more likely to be a glib bug. The traces on bug 587359 and bug 587300 seem to be similar to this, i.e. crashing on a g_slice_alloc. The sources for both those calls are different, one being from gtk and the other being from libsoup.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Bug Zapper 2010-11-04 03:17:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-04 01:37:33 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.